// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      throw UnsupportedError(
        'DefaultFirebaseOptions have not been configured for web - '
        'you can reconfigure this by running the FlutterFire CLI again.',
      );
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyBFsobLYTimj7tnM13IN891GBGcOcMti4k',
    appId: '1:575381967882:android:12c5af78e50536ef1ffbf3',
    messagingSenderId: '575381967882',
    projectId: 'good-food-flutter',
    storageBucket: 'good-food-flutter.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyDxMPCCF3w6mm3J_I6eweQ7Pa8R4yPZ_48',
    appId: '1:575381967882:ios:4089e2fb7eecd8651ffbf3',
    messagingSenderId: '575381967882',
    projectId: 'good-food-flutter',
    storageBucket: 'good-food-flutter.appspot.com',
    iosClientId: '575381967882-hd7v70cu100cs9ms2lg975qlj6e46u22.apps.googleusercontent.com',
    iosBundleId: 'valentintazir.goodfood.goodFoodFlutter',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyDxMPCCF3w6mm3J_I6eweQ7Pa8R4yPZ_48',
    appId: '1:575381967882:ios:4089e2fb7eecd8651ffbf3',
    messagingSenderId: '575381967882',
    projectId: 'good-food-flutter',
    storageBucket: 'good-food-flutter.appspot.com',
    iosClientId: '575381967882-hd7v70cu100cs9ms2lg975qlj6e46u22.apps.googleusercontent.com',
    iosBundleId: 'valentintazir.goodfood.goodFoodFlutter',
  );
}
